/******************************************************************************
*                                                                             *
*   t i c o n s t                                                             *
*                                                                             *
*   by Stefan Heule                                                           *
*   http://stefanheule.com                                                    *
*                                                                             *
*   Source Code                                                               *
*                                                                             *
*******************************************************************************

ticonst - replacement for the standard units menu
Copyright (C) 2009-2010 Stefan Heule

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef MSG_ENGLISH_H
#define MSG_ENGLISH_H



// ----------------------------------------------------------------- //
// --- help
// ----------------------------------------------------------------- //
//#define MSG_HELP_TITLE              "F1:Help"
#define MSG_HELP_TITLE                "F1:Help"
//#define MSG_HELP_NAVIGATE           "Navigate"
#define MSG_HELP_NAVIGATE             "Navigate"
//#define MSG_HELP_PASTE_UNIT         "Insert current unit"
#define MSG_HELP_PASTE_UNIT           "Insert current unit"
//#define MSG_HELP_CHANGE_MODE        "Change mode (description or"
#define MSG_HELP_CHANGE_MODE          "Change mode (description or"
//#define MSG_HELP_CHANGE_MODE_2      "value)"
#define MSG_HELP_CHANGE_MODE_2        "value)"
//#define MSG_HELP_ABOUT              "About"
#define MSG_HELP_ABOUT                "About"
//#define MSG_HELP_ARROWS             "Arrows"
#define MSG_HELP_ARROWS               "Arrows"

// ----------------------------------------------------------------- //
// --- about
// ----------------------------------------------------------------- //
//#define MSG_ABOUT_BY_AUTHOR         "by Stefan Heule"
#define MSG_ABOUT_BY_AUTHOR           "by Stefan Heule"


// ----------------------------------------------------------------- //
// --- options
// ----------------------------------------------------------------- //
//#define MSG_OPT_TITLE               "Settings"
#define MSG_OPT_TITLE                 "Settings"
//#define MSG_OPT_SAVE_POSITION       "Save position"
#define MSG_OPT_SAVE_POSITION         "Save cursor position"
//#define MSG_OPT_HELP_1              "ENTER: Save"
#define MSG_OPT_HELP_1                "ENTER: Save"
//#define MSG_OPT_HELP_2              "ESC: Exit"
#define MSG_OPT_HELP_2                "ESC: Exit"
//#define MSG_OPT_HELP_3              "Arrows: Select"
#define MSG_OPT_HELP_3                "Arrows: Select"


// ----------------------------------------------------------------- //
// --- error messages
// ----------------------------------------------------------------- //
//#define MSG_ERROR_PREFIX            "ERROR: "
#define MSG_ERROR_PREFIX              "ERROR: "
//#define MSG_ERROR_POSTFIX           "!"
#define MSG_ERROR_POSTFIX             "!"
//#define MSG_ERROR_MEMORY            MSG_ERROR_PREFIX"Out of RAM"MSG_ERROR_POSTFIX
#define MSG_ERROR_MEMORY              MSG_ERROR_PREFIX"Out of RAM"MSG_ERROR_POSTFIX
//#define MSG_ERROR_FILE_NOT_FOUND    MSG_ERROR_PREFIX"File 'charlist' not found"MSG_ERROR_POSTFIX
#define MSG_ERROR_FILE_NOT_FOUND      MSG_ERROR_PREFIX"File 'charlist' not found"MSG_ERROR_POSTFIX
//#define MSG_ERROR_READ_FROM_FILE    MSG_ERROR_PREFIX"Failed to read from the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_READ_FROM_FILE      MSG_ERROR_PREFIX"Failed to read from the charlist"MSG_ERROR_POSTFIX
//#define MSG_ERROR_SAVE_CONFIG       MSG_ERROR_PREFIX"Failed to save the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_SAVE_CONFIG         MSG_ERROR_PREFIX"Failed to save the charlist"MSG_ERROR_POSTFIX
//#define MSG_ERROR_CREATE_FILE       MSG_ERROR_PREFIX"Failed to create the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_CREATE_FILE         MSG_ERROR_PREFIX"Failed to create the charlist"MSG_ERROR_POSTFIX
//#define MSG_ERROR_WRITE_TO_FILE     MSG_ERROR_PREFIX"Failed to write to the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_WRITE_TO_FILE       MSG_ERROR_PREFIX"Failed to write to the charlist"MSG_ERROR_POSTFIX
//#define MSG_ERROR_CORRUPTED_FILE    MSG_ERROR_PREFIX"Corrupted charlist, get a new one"MSG_ERROR_POSTFIX
#define MSG_ERROR_CORRUPTED_FILE      MSG_ERROR_PREFIX"Corrupted charlist, get a new one"MSG_ERROR_POSTFIX
//#define MSG_ERROR_OUTDATED_FILE     MSG_ERROR_PREFIX"Outdated charlist, get a new one"MSG_ERROR_POSTFIX
#define MSG_ERROR_OUTDATED_FILE       MSG_ERROR_PREFIX"Outdated charlist, get a new one"MSG_ERROR_POSTFIX



// mu \xb5
// epsilon \x86
// phi \x91
// sigma \x8f
// angstrom \xc5
// grad \xb0
// ohm \x93
const _unit lst01[] = {
	
	{"c","speed of light"},
	{"g","acceleration of grav."},
	{"Gc","gravitational const."},
	{"h","Planck's constant"},
	{"q","electron charge"},
	{"Me","electron rest mass"},
	{"Rc","molar gas constant"},
	{"Mn","neutron rest mass"},
	{"Mp","proton rest mass"},
	{"Na","Avogadro's number"},
	{"k","Boltzmann's constant"},
	{"Rb","Bohr radius"},
	{"Cc","Coulomb constant"},
	{"Rdb","Rydberg constant"},
	{"Vm","molar volume"},
	{"\x86""0","permittivity vacuum"},
	{"\x8f","Stefan-Bolzmann c."},
	{"\x91""0","magn. flux quantum"},
	{"\xb5""0","permeability vacuum"},
	{"\xb5""b","Bohr magneton"},
};
const _unit lst02[] = {
	{"fm","fermi"},
	{"\xb5","micron"},
	{"mm","milimeter"},
	{"cm","centimeter"},
	{"m","meter"},
	{"km","kilometer"},
	
	{"ltyr","light year"},
	
	{"mil",".001 inch"},
	{"in","inch"},
	{"ft","foot"},
	{"yd","yard"},
	{"mi","mile"},
	
	{"Ang","angstrom"},
	{"\xc5","angstrom"},
	{"au","astonomical unit"},
	{"fath","fathom"},
	{"Nmi","nautic mile"},
	{"pc","parsec"},
	{"rod","rod"},
};
const _unit lst03[] = {
	
	{"acre","acre"},
	{"ha","hectare"},
};
const _unit lst04[] = {
	
	{"ml","mililiter"},
	{"l","liter"},
	
	{"cup","cup"},
	{"floz","fluid ounce"},
	{"flozUK","fluid o. (UK)"},
	{"gal","gallon (US)"},
	{"galUK","gallon (UK)"},
	{"pt","pint"},
	{"qt","quart"},
	{"tbsp","tablespoon"},
	{"tsp","teespoon"},
};
const _unit lst05[] = {
	
	{"ns","nanosecond"},
	{"\xb5s","microsecond"},
	{"ms","millisecond"},
	{"s","second"},
	{"min","minute"},
	{"hr","hour"},
	{"day","day"},
	{"week","week"},
	{"yr","year"},
	
};
const _unit lst06[] = {
	
	{"kph","km per hour"},
	{"knot","knot"},
	{"mph","miles per hour"},
};
const _unit lst07[] = {
	
	{"\xb0""K","Kelvin"},
	{"\xb0""C","Celsius"},
	{"\xb0""F","Fahrenheit"},
	{"\xb0""R","Rankine"},
};
const _unit lst08[] = {
	
	{"cd","candela"},
};
const _unit lst09[] = {
	
	{"mol","mole"},
};
const _unit lst10[] = {
	
	{"amu","atomic mass unit"},
	{"mg","milligram"},
	{"gm","gram"},
	{"kg","kilogram"},
	{"mton","metric ton"},
	{"tonne","metric ton"},
	{"ton","ton"},
	{"tonUK","long ton"},
	{"oz","ounce"},
	{"lb","pound"},
	{"slug","slug"},
};
const _unit lst11[] = {
	
	{"N","newton"},
	{"dyne","dyne"},
	{"kgf","kilogram force"},
	{"lbf","pound force"},
	{"tonf","ton force"},
};
const _unit lst12[] = {
	
	{"eV","electron volt"},
	{"J","joule"},
	{"cal","calorie"},
	{"kcal","kilocalorie"},
	{"kWh","kilowatt-hour"},
	{"btu","british thermal unit"},
	{"erg","erg"},
	{"ftlb","foot-pound"},
	{"latm","liter-atmosphere"},
};
const _unit lst13[] = {
	
	{"W","watt"},
	{"kW","kilowatt"},
	{"hp","hoursepower"},
};
const _unit lst14[] = {
	
	{"Pa","pascal"},
	{"bar","bar"},
	{"atm","atmosphere"},
	{"psi","pounds/square inch"},
	{"torr","mm of mercury"},
	{"mmHG","mm of mercury"},
	{"mmH20","mm of water"},
	{"inH20","inch of water"},
	{"inHG","inch of mercury"},
};
const _unit lst15[] = {
	
	{"St","stokes"},
};
const _unit lst16[] = {
	
	{"P","poise"},
};
const _unit lst17[] = {
	
	{"Hz","hertz"},
	{"kHz","kilohertz"},
	{"MHz","megahertz"},
	{"GHz","gigahertz"},
};
const _unit lst18[] = {
	
	{"\xb5""A","microampere"},
	{"mA","milliampere"},
	{"A","ampere"},
	{"kA","kiloampere"},
};
const _unit lst19[] = {
	
	{"coul","coulomb"},
};
const _unit lst20[] = {
	
	{"mV","millivolt"},
	{"V","volt"},
	{"volt","vold"},
	{"kV","kilovolt"},
};
const _unit lst21[] = {
	
	{"\x93","ohm"},
	{"ohm","ohm"},
	{"k\x93","kiloohm"},
	{"M\x93","megaohm"},
};
const _unit lst22[] = {
	
	{"siemens","siemens"},
	{"\xb5""mho","micromho"},
	{"mmho","millimho"},
	{"mho","mho"},
};
const _unit lst23[] = {
	
	{"pF","picofarad"},
	{"nF","nanofarad"},
	{"\xb5""F","microfarad"},
	{"F","farad"},
};
const _unit lst24[] = {
	
	{"Oe","oersted"},
};
const _unit lst25[] = {
	
	{"T","tesla"},
	{"Gs","gauss"},
};
const _unit lst26[] = {
	
	{"Wb","weber"},
};
const _unit lst27[] = {
	
	{"nH","nanohenry"},
	{"\xb5""H","microhenry"},
	{"mH","millihenry"},
	{"henry","henry"},
};

const _group groups[] = {
	
#ifdef USE_TI89

	{"Constants",lst01},
	
	{"Mass",lst10},
	{"Length",lst02},
	{"Area",lst03},
	{"Volume",lst04},
	{"Time",lst05},
	{"Velocity",lst06},
	{"Temperature",lst07},
	
	{"Force",lst11},
	{"Energy",lst12},
	{"Power",lst13},
	{"Pressure",lst14},
	
	{"Elec. Current",lst18},
	{"Potential",lst20},
	{"Resistance",lst21},
	{"Conductance",lst22},
	{"Capacitance",lst23},
	{"Charge",lst19},
	{"Mag Field Strn",lst24},
	{"Mag Flux Dens.",lst25},
	{"Mag Flux",lst26},
	{"Inductance",lst27},
	
	{"Substance",lst09},
	{"Frequency",lst17},
	{"Luminous inten",lst08},
	{"Viscosity, kin",lst15},
	{"Viscosity, dyn",lst16},
	
#else

	{"Constants",lst01},
	
	{"Mass",lst10},
	{"Length",lst02},
	{"Area",lst03},
	{"Volume",lst04},
	{"Time",lst05},
	{"Velocity",lst06},
	{"Temperature",lst07},
	
	{"Force",lst11},
	{"Energy",lst12},
	{"Power",lst13},
	{"Pressure",lst14},
	
	{"Electric Current",lst18},
	{"Potential",lst20},
	{"Resistance",lst21},
	{"Conductance",lst22},
	{"Capacitance",lst23},
	{"Charge",lst19},
	
	{"Mag Field Strength",lst24},
	{"Mag Flux Density",lst25},
	{"Mag Flux",lst26},
	{"Inductance",lst27},
	
	{"Amount of substance",lst09},
	{"Frequency",lst17},
	{"Luminous intensity",lst08},
	{"Viscosity, Kinematic",lst15},
	{"Viscosity, Dynamic",lst16},
	
#endif
};

const long ngroups = sizeof(groups) / sizeof(*groups);
const long nlst[] = {
	sizeof(lst01) / sizeof(*lst09),
	sizeof(lst10) / sizeof(*lst09),
	sizeof(lst02) / sizeof(*lst09),
	sizeof(lst03) / sizeof(*lst09),
	sizeof(lst04) / sizeof(*lst09),
	sizeof(lst05) / sizeof(*lst09),
	sizeof(lst06) / sizeof(*lst09),
	sizeof(lst07) / sizeof(*lst09),
	
	sizeof(lst11) / sizeof(*lst09),
	sizeof(lst12) / sizeof(*lst09),
	sizeof(lst13) / sizeof(*lst09),
	sizeof(lst14) / sizeof(*lst09),
	
	sizeof(lst18) / sizeof(*lst09),
	sizeof(lst20) / sizeof(*lst09),
	sizeof(lst21) / sizeof(*lst09),
	sizeof(lst22) / sizeof(*lst09),
	sizeof(lst23) / sizeof(*lst09),
	sizeof(lst19) / sizeof(*lst09),
	
	sizeof(lst24) / sizeof(*lst09),
	sizeof(lst25) / sizeof(*lst09),
	sizeof(lst26) / sizeof(*lst09),
	sizeof(lst27) / sizeof(*lst09),
	
	sizeof(lst09) / sizeof(*lst09),
	sizeof(lst17) / sizeof(*lst09),
	sizeof(lst08) / sizeof(*lst09),
	sizeof(lst15) / sizeof(*lst09),
	sizeof(lst16) / sizeof(*lst09),
};


#endif

















