/******************************************************************************
*                                                                             *
*   t i c o n s t                                                             *
*                                                                             *
*   by Stefan Heule                                                           *
*   http://stefanheule.com                                                    *
*                                                                             *
*   Source Code                                                               *
*                                                                             *
*******************************************************************************

ticonst - replacement for the standard units menu
Copyright (C) 2009-2010 Stefan Heule

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef MSG_GERMAN_H
#define MSG_GERMAN_H


// ----------------------------------------------------------------- //
// --- help
// ----------------------------------------------------------------- //
//#define MSG_HELP_TITLE              "F1:Help"
#define MSG_HELP_TITLE                "F1:Hilfe"
//#define MSG_HELP_NAVIGATE           "Navigate"
#define MSG_HELP_NAVIGATE             "Navigation"
//#define MSG_HELP_PASTE_UNIT         "Insert current unit"
#define MSG_HELP_PASTE_UNIT           "Ausgewhlte Einheit einfgen"
//#define MSG_HELP_CHANGE_MODE        "Change mode (description or"
#define MSG_HELP_CHANGE_MODE          "Modus ndern (Beschreibung"
//#define MSG_HELP_CHANGE_MODE_2      "value)"
#define MSG_HELP_CHANGE_MODE_2        "oder Wert)"
//#define MSG_HELP_ABOUT              "About"
#define MSG_HELP_ABOUT                "ber das Programm"
//#define MSG_HELP_ARROWS             "Arrows"
#define MSG_HELP_ARROWS               "Pfeile"


// ----------------------------------------------------------------- //
// --- about
// ----------------------------------------------------------------- //
//#define MSG_ABOUT_BY_AUTHOR         "by Stefan Heule"
#define MSG_ABOUT_BY_AUTHOR           "von Stefan Heule"


// ----------------------------------------------------------------- //
// --- options
// ----------------------------------------------------------------- //
//#define MSG_OPT_TITLE               "Settings"
#define MSG_OPT_TITLE                 "Einstellungen"
//#define MSG_OPT_SAVE_POSITION       "Save position"
#define MSG_OPT_SAVE_POSITION         "Cursor-Position speichern"
//#define MSG_OPT_HELP_1              "ENTER: Save"
#define MSG_OPT_HELP_1                "ENTER: Speichern"
//#define MSG_OPT_HELP_2              "ESC: Exit"
#define MSG_OPT_HELP_2                "ESC: Exit"
//#define MSG_OPT_HELP_3              "Arrows: Select"
#define MSG_OPT_HELP_3                "Pfeile: Auswahl"


// ----------------------------------------------------------------- //
// --- error messages
// ----------------------------------------------------------------- //
//#define MSG_ERROR_PREFIX            "ERROR: "
#define MSG_ERROR_PREFIX              "FEHLER: "
//#define MSG_ERROR_POSTFIX           "!"
#define MSG_ERROR_POSTFIX             "!"
//#define MSG_ERROR_MEMORY            MSG_ERROR_PREFIX"Out of RAM"MSG_ERROR_POSTFIX
#define MSG_ERROR_MEMORY              MSG_ERROR_PREFIX"Zu wenig Arbeitsspeicher"MSG_ERROR_POSTFIX
//#define MSG_ERROR_FILE_NOT_FOUND    MSG_ERROR_PREFIX"File 'charlist' not found"MSG_ERROR_POSTFIX
#define MSG_ERROR_FILE_NOT_FOUND      MSG_ERROR_PREFIX"Datei 'charlist' nicht gefunden"MSG_ERROR_POSTFIX
//#define MSG_ERROR_READ_FROM_FILE    MSG_ERROR_PREFIX"Failed to read from the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_READ_FROM_FILE      MSG_ERROR_PREFIX"Konnte nicht von der Zeichenliste lesen"MSG_ERROR_POSTFIX
//#define MSG_ERROR_SAVE_CONFIG       MSG_ERROR_PREFIX"Failed to save the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_SAVE_CONFIG         MSG_ERROR_PREFIX"Konnte Zeichenliste nicht speichern"MSG_ERROR_POSTFIX
//#define MSG_ERROR_CREATE_FILE       MSG_ERROR_PREFIX"Failed to create the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_CREATE_FILE         MSG_ERROR_PREFIX"Konnte Zeichenliste nicht erstellen"MSG_ERROR_POSTFIX
//#define MSG_ERROR_WRITE_TO_FILE     MSG_ERROR_PREFIX"Failed to write to the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_WRITE_TO_FILE       MSG_ERROR_PREFIX"Konnte nicht in die Zeichenliste schreiben"MSG_ERROR_POSTFIX
//#define MSG_ERROR_CORRUPTED_FILE    MSG_ERROR_PREFIX"Corrupted charlist, get a new one"MSG_ERROR_POSTFIX
#define MSG_ERROR_CORRUPTED_FILE      MSG_ERROR_PREFIX"Fehlerhafte Zeichenliste, eine neue wird bentigt"MSG_ERROR_POSTFIX
//#define MSG_ERROR_OUTDATED_FILE     MSG_ERROR_PREFIX"Outdated charlist, get a new one"MSG_ERROR_POSTFIX
#define MSG_ERROR_OUTDATED_FILE       MSG_ERROR_PREFIX"Veraltete Zeichenliste, eine neue wird bentigt"MSG_ERROR_POSTFIX


// mu \xb5
// epsilon \x86
// phi \x91
// sigma \x8f
// angstrom \xc5
// grad \xb0
// ohm \x93
const _unit lst01[] = {
	
	{"c","Lichtgeschwindigkeit"},
	{"g","Erdbeschleunigung"},
	{"Gc","Gravitationskonst."},
	{"h","Planck-Konstante"},
	{"q","Elektronenladung"},
	{"Me","Ruhemasse Elektrons"},
	{"Rc","allgemeine Gaskonst."},
	{"Mn","Ruhemasse Neutron"},
	{"Mp","Ruhemasse Proton"},
	{"Na","Avogadro-Zahl"},
	{"k","Boltzmann-Konstante"},
	{"Rb","Bohr-Radius"},
	{"Cc","Coulombsche Konst."},
	{"Rdb","Rydberg-Konstante"},
	{"Vm","Molvolumen"},
	{"\x86""0","elek. Feldkonstante"},
	{"\x8f","Stefan-Bolzmann-K."},
	{"\x91""0","Flussquant"},
	{"\xb5""0","mag. Feldkonstante"},
	{"\xb5""b","Bohrsches Magneton"},
};
const _unit lst02[] = {
	{"fm","Femtometer"},
	{"\xb5","Mikrometer"},
	{"mm","Milimeter"},
	{"cm","Centimeter"},
	{"m","Meter"},
	{"km","Kilometer"},
	
	{"ltyr","Lichtjahr"},
	
	{"mil",".001 Zoll"},
	{"in","Zoll (inch)"},
	{"ft","Fuss (foot)"},
	{"yd","Yard"},
	{"mi","Meile (mile)"},
	
	{"Ang","\xc5ngstrom"},
	{"\xc5","\xc5ngstrom"},
	{"au","astronom. Einheit"},
	{"fath","Fathom"},
	{"Nmi","Seemeile"},
	{"pc","Parsec"},
	{"rod","Rod"},
};
const _unit lst03[] = {
	
	{"acre","Acre"},
	{"ha","Hektar"},
};
const _unit lst04[] = {
	
	{"ml","Mililiter"},
	{"l","Liter"},
	
	{"cup","Cup"},
	{"floz","fluid ounce"},
	{"flozUK","fluid o. (UK)"},
	{"gal","Gallone (US)"},
	{"galUK","Gallone (UK)"},
	{"pt","Pint"},
	{"qt","Quart"},
	{"tbsp","Esslffel"},
	{"tsp","Teelfel"},
};
const _unit lst05[] = {
	
	{"ns","Nanosekunde"},
	{"\xb5s","Mikrosekunde"},
	{"ms","Millisekunde"},
	{"s","Sekunde"},
	{"min","Minute"},
	{"hr","Stunde"},
	{"day","Tag"},
	{"week","Woche"},
	{"yr","Jahr"},
	
};
const _unit lst06[] = {
	
	{"kph","Stundenkilometer"},
	{"knot","Knoten"},
	{"mph","Meilen pro Stunde"},
};
const _unit lst07[] = {
	
	{"\xb0""K","Kelvin"},
	{"\xb0""C","Grad Celsius"},
	{"\xb0""F","Grad Fahrenheit"},
	{"\xb0""R","Grad Rankine"},
};
const _unit lst08[] = {
	
	{"cd","Candela"},
};
const _unit lst09[] = {
	
	{"mol","Mol"},
};
const _unit lst10[] = {
	
	{"amu","atomare Masseinheit"},
	{"mg","Milligramm"},
	{"gm","Gramm"},
	{"kg","Kilogramm"},
	{"mton","Metrische Tonne"},
	{"tonne","Metrische Tonne"},
	{"ton","Tonne"},
	{"tonUK","Longtonne"},
	{"oz","Unze"},
	{"lb","Pfund"},
	{"slug","Slug"},
};
const _unit lst11[] = {
	
	{"N","Newton"},
	{"dyne","Dyn"},
	{"kgf","Kraftkilogramm"},
	{"lbf","Kraftpfund"},
	{"tonf","Krafttonne"},
};
const _unit lst12[] = {
	
	{"eV","Elektronenvolt"},
	{"J","Joule"},
	{"cal","Kalorien"},
	{"kcal","Kilokalorie"},
	{"kWh","Kilowatt-Stunde"},
	{"btu","Btu"},
	{"erg","Erg"},
	{"ftlb","Fuss-Pfund"},
	{"latm","Liter-Atmosphre"},
};
const _unit lst13[] = {
	
	{"W","Watt"},
	{"kW","Kilowatt"},
	{"hp","Pferdestrken"},
};
const _unit lst14[] = {
	
	{"Pa","Pascal"},
	{"bar","Bar"},
	{"atm","Atmosphre"},
	{"psi","Pfund/Quadratzoll"},
	{"torr","mm Quecksilber"},
	{"mmHG","mm Quecksilber"},
	{"mmH20","mm Wasser"},
	{"inH20","Zoll Wasser"},
	{"inHG","Zoll Quecksilber"},
};
const _unit lst15[] = {
	
	{"St","Stokes"},
};
const _unit lst16[] = {
	
	{"P","Poise"},
};
const _unit lst17[] = {
	
	{"Hz","Hertz"},
	{"kHz","Kilohertz"},
	{"MHz","Megahertz"},
	{"GHz","Gigahertz"},
};
const _unit lst18[] = {
	
	{"\xb5""A","Mikroampere"},
	{"mA","Milliampere"},
	{"A","Ampere"},
	{"kA","Kiloampere"},
};
const _unit lst19[] = {
	
	{"coul","Coulomb"},
};
const _unit lst20[] = {
	
	{"mV","Millivolt"},
	{"V","Volt"},
	{"volt","Vold"},
	{"kV","Kilovolt"},
};
const _unit lst21[] = {
	
	{"\x93","Ohm"},
	{"ohm","Ohm"},
	{"k\x93","Kiloohm"},
	{"M\x93","Megaohm"},
};
const _unit lst22[] = {
	
	{"siemens","siemens"},
	{"\xb5""mho","micromho"},
	{"mmho","millimho"},
	{"mho","mho"},
};
const _unit lst23[] = {
	
	{"pF","Pikofarad"},
	{"nF","Nanofarad"},
	{"\xb5""F","Mikrofarad"},
	{"F","Farad"},
};
const _unit lst24[] = {
	
	{"Oe","Oersted"},
};
const _unit lst25[] = {
	
	{"T","Tesla"},
	{"Gs","Gauss"},
};
const _unit lst26[] = {
	
	{"Wb","Weber"},
};
const _unit lst27[] = {
	
	{"nH","Nanohenry"},
	{"\xb5""H","Mikrohenry"},
	{"mH","Millihenry"},
	{"henry","Henry"},
};

const _group groups[] = {
	
#ifdef USE_TI89
	{"Konstanten",lst01},
	
	{"Masse",lst10},
	{"Lnge",lst02},
	{"Flche",lst03},
	{"Volumen",lst04},
	{"Zeit",lst05},
	{"Geschwindigkeit",lst06},
	{"Temperatur",lst07},
	
	{"Kraft",lst11},
	{"Energie",lst12},
	{"Leistung",lst13},
	{"Druck",lst14},
	
	{"Elektr. Strom",lst18},
	{"Potenzial",lst20},
	{"Widerstand",lst21},
	{"Leitfhigkeit",lst22},
	{"Kapazitt",lst23},
	{"Ladung",lst19},
	
	{"Magn. Feldstrke",lst24},
	{"Magn. Fl.dichte",lst25},
	{"Magn. Fluss",lst26},
	{"Induktivitt",lst27},
	
	{"Stoffmenge",lst09},
	{"Frequenz",lst17},
	{"Lichtstrke",lst08},
	{"Viskositt, kin",lst15},
	{"Viskositt, dyn",lst16},
#else
	{"Konstanten",lst01},
	
	{"Masse",lst10},
	{"Lnge",lst02},
	{"Flche",lst03},
	{"Volumen",lst04},
	{"Zeit",lst05},
	{"Geschwindigkeit",lst06},
	{"Temperatur",lst07},
	
	{"Kraft",lst11},
	{"Energie",lst12},
	{"Leistung",lst13},
	{"Druck",lst14},
	
	{"Elektrischer Strom",lst18},
	{"Potenzial",lst20},
	{"Widerstand",lst21},
	{"Leitfhigkeit",lst22},
	{"Kapazitt",lst23},
	{"Ladung",lst19},
	
	{"Magn. Feldstrke",lst24},
	{"Magn. Flussdichte",lst25},
	{"Magnetischer Fluss",lst26},
	{"Induktivitt",lst27},
	
	{"Stoffmenge",lst09},
	{"Frequenz",lst17},
	{"Lichtstrke",lst08},
	{"Viskositt, kinemat.",lst15},
	{"Viskositt, dynam.",lst16},
	//{"Beschleunigung",{}},
#endif
};

const long ngroups = sizeof(groups) / sizeof(*groups);
const long nlst[] = {
	sizeof(lst01) / sizeof(*lst09),
	sizeof(lst10) / sizeof(*lst09),
	sizeof(lst02) / sizeof(*lst09),
	sizeof(lst03) / sizeof(*lst09),
	sizeof(lst04) / sizeof(*lst09),
	sizeof(lst05) / sizeof(*lst09),
	sizeof(lst06) / sizeof(*lst09),
	sizeof(lst07) / sizeof(*lst09),
	
	sizeof(lst11) / sizeof(*lst09),
	sizeof(lst12) / sizeof(*lst09),
	sizeof(lst13) / sizeof(*lst09),
	sizeof(lst14) / sizeof(*lst09),
	
	sizeof(lst18) / sizeof(*lst09),
	sizeof(lst20) / sizeof(*lst09),
	sizeof(lst21) / sizeof(*lst09),
	sizeof(lst22) / sizeof(*lst09),
	sizeof(lst23) / sizeof(*lst09),
	sizeof(lst19) / sizeof(*lst09),
	
	sizeof(lst24) / sizeof(*lst09),
	sizeof(lst25) / sizeof(*lst09),
	sizeof(lst26) / sizeof(*lst09),
	sizeof(lst27) / sizeof(*lst09),
	
	sizeof(lst09) / sizeof(*lst09),
	sizeof(lst17) / sizeof(*lst09),
	sizeof(lst08) / sizeof(*lst09),
	sizeof(lst15) / sizeof(*lst09),
	sizeof(lst16) / sizeof(*lst09),
};



#endif

















